#ifndef _DIJKSTRA_H
#define _DIJKSTRA_H

#include <Eigen/Dense>
#include <vector>

class CDijkstra
{
  private:
  protected:
    void sort_rows(Eigen::MatrixXd &input);
    void get_path(std::vector<unsigned int> &path,Eigen::MatrixXd &w,unsigned int start_node, unsigned int end_node);
  public:
    CDijkstra();
    double find_shortest_path(Eigen::MatrixXd &graph,unsigned int start_node,unsigned int end_node,std::vector<unsigned int> &path);
    ~CDijkstra();
};

#endif
