#ifndef _OPENDRIVE_LINE_H
#define _OPENDRIVE_LINE_H

#include "opendrive_geometry.h"

class COpendriveLine : public COpendriveGeometry
{
  private:
  protected:
    virtual bool transform_local_pose(TOpendriveTrackPoint &track,TOpendriveLocalPoint &local) const;
    virtual void print(std::ostream &out);
    virtual void load_params(const planView::geometry_type &geometry_info);
    virtual std::string get_name(void);
  public:
    COpendriveLine();
    COpendriveLine(double min_s, double max_s, double x, double y, double heading);
    COpendriveLine(const COpendriveGeometry &object);
    virtual COpendriveGeometry *clone(void);
    void operator=(const COpendriveLine &object);
    ~COpendriveLine();
};

#endif
