#include "opendrive_road.h"
#include "exceptions.h"
#include <iostream>
#include <vector>
#include <limits>

int main(int argc, char *argv[])
{
  COpendriveRoad road;
  std::string xml_file="/home/shernand/iri-lab/adc_ws/code/autonomous_driving_tools/src/xml/add_road_full.xodr";
  
  try
  {
    road.set_resolution(0.01);
    road.set_scale_factor(10.0);
    road.set_min_road_length(0.01);
    road.load(xml_file);
    std::cout << road << std::endl;
  }
  catch (CException &e)
  {
    std::cout << "[Exception caught] : " << e.what() << std::endl;
  }
  return 0;
}
